using PSO2SERVER.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PSO2SERVER.Protocol.Packets
{
    public class Unk110APacket : Packet
    {
        public ObjectHeader player { get; set; } = new ObjectHeader();

        public Unk110APacket(uint account_id)
        {
            player = new ObjectHeader(account_id, ObjectType.Player);
        }

        #region implemented abstract members of Packet

        public override byte[] Build()
        {
            var pkt = new PacketWriter();
            pkt.WriteObjectHeader(player);
            return pkt.ToArray();
        }

        public override PacketHeader GetHeader()
        {
            return new PacketHeader(0x11, 0x0A, PacketFlags.None);
        }

        #endregion
    }
}